struct ccw_device
Prev | ccw devices | Next

## Name

struct ccw_device — channel attached device

## Synopsis

    struct ccw_device {
      spinlock_t * ccwlock;
      struct ccw_device_id id;
      struct ccw_driver * drv;
      struct device dev;
      int online;
      void (* handler) (struct ccw_device *, unsigned long, struct irb *);
    };

## Members

ccwlock

  pointer to device lock

id

  id of this device

drv

  ccw driver for this device

dev

  embedded device structure

online

  online status of device

handler

  interrupt handler

## Description

`handler` is a member of the device rather than the driver since a driver can have different interrupt handlers for different ccw devices (multi-subchannel drivers).

Prev | Up | Next
ccw devices | Home | struct ccw_driver